Bug 553721 - [abrt] crash in gnome-panel-2.28.0-15.fc12
Summary: [abrt] crash in gnome-panel-2.28.0-15.fc12
Status: CLOSED DUPLICATE of bug 590834
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:24cdd8692a04a9f59ee597c2764...
Keywords:
: 585591 587857 590376 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-08 18:38 UTC by Mark Wielaard
Modified: 2010-11-08 09:14 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-11-08 09:14:39 UTC


Attachments (Terms of Use)
File: backtrace (28.22 KB, text/plain)
2010-01-08 18:38 UTC, Mark Wielaard
no flags Details

Description Mark Wielaard 2010-01-08 18:38:38 UTC
abrt 1.0.3 detected a crash.

How to reproduce
-----
1. Try to add a city to the clock applet
2. Wait a bit
3. Crash...

Attached file: backtrace
cmdline: /usr/libexec/clock-applet --oaf-activate-iid=OAFIID:GNOME_ClockApplet_Factory --oaf-ior-fd=28
component: gnome-panel
executable: /usr/libexec/clock-applet
kernel: 2.6.31.9-174.fc12.i686
package: gnome-panel-2.28.0-15.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)

Comment 1 Mark Wielaard 2010-01-08 18:38:41 UTC
Created attachment 382513 [details]
File: backtrace

Comment 2 Mark Wielaard 2010-01-08 18:44:06 UTC
A bit more context from a local gdb session for the saved core file:

#0  do_idle_run_queue (session=0x99cde78) at soup-session-async.c:408
408		if (!priv->idle_run_queue_source) {
(gdb) bt
#0  do_idle_run_queue (session=0x99cde78) at soup-session-async.c:408
#1  0x024622c6 in got_connection (conn=<value optimized out>, 
    status=<value optimized out>, session=<value optimized out>)
    at soup-session-async.c:261
#2  0x02448580 in socket_connect_result (sock=<value optimized out>, 
    status=<value optimized out>, user_data=<value optimized out>)
    at soup-connection.c:389
#3  0x0246531b in got_address (addr=<value optimized out>, 
    status=<value optimized out>, user_data=<value optimized out>)
    at soup-socket.c:646
#4  0x0243d6fe in complete_resolve_async (addr=<value optimized out>, 
    status=<value optimized out>) at soup-address.c:610
#5  0x0243d7c5 in lookup_resolved (source=<value optimized out>, 
    result=<value optimized out>, user_data=<value optimized out>)
    at soup-address.c:649
#6  0x0014a97f in IA__g_simple_async_result_complete (
    simple=<value optimized out>) at gsimpleasyncresult.c:588
#7  0x0014a9e2 in complete_in_idle_cb (data=<value optimized out>)
    at gsimpleasyncresult.c:598
#8  0x04510312 in g_idle_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gmain.c:4065
#9  0x04512128 in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1960
#10 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2513
#11 0x04515a58 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2591
#12 0x04515ecf in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2799
#13 0x0057ea14 in bonobo_main () at bonobo-main.c:311
#14 0x0057cbaf in bonobo_generic_factory_main_timeout (
    act_iid=<value optimized out>, factory_cb=<value optimized out>, 
    user_data=<value optimized out>, quit_timeout=<value optimized out>)
    at bonobo-generic-factory.c:411
#15 0x0057cc34 in bonobo_generic_factory_main (act_iid=<value optimized out>, 
    factory_cb=<value optimized out>, user_data=<value optimized out>)
    at bonobo-generic-factory.c:368
#16 0x008baef5 in panel_applet_factory_main_closure (
    iid=<value optimized out>, applet_type=<value optimized out>, 
    closure=<value optimized out>) at panel-applet.c:1774
#17 0x008bafdc in panel_applet_factory_main (iid=<value optimized out>, 
    applet_type=<value optimized out>, callback=<value optimized out>, 
    data=<value optimized out>) at panel-applet.c:1798
#18 0x08056712 in main (argc=1, argv=0xbfcb14e4) at clock.c:3778
(gdb) print priv
$1 = (SoupSessionAsyncPrivate *) 0x0
(gdb) list
403	static void
404	do_idle_run_queue (SoupSession *session)
405	{
406		SoupSessionAsyncPrivate *priv = SOUP_SESSION_ASYNC_GET_PRIVATE (session);
407	
408		if (!priv->idle_run_queue_source) {
409			priv->idle_run_queue_source = soup_add_completion (
410				soup_session_get_async_context (session),
411				idle_run_queue, session);
412		}
(gdb) 

So it seems SOUP_SESSION_ASYNC_GET_PRIVATE can return NULL, but the code doesn't check for that case.

Comment 3 Karel Klíč 2010-05-25 09:45:44 UTC
*** Bug 585591 has been marked as a duplicate of this bug. ***

Comment 4 Karel Klíč 2010-05-25 09:45:48 UTC
*** Bug 587857 has been marked as a duplicate of this bug. ***

Comment 5 Karel Klíč 2010-05-25 09:45:53 UTC
*** Bug 590376 has been marked as a duplicate of this bug. ***

Comment 6 Bug Zapper 2010-11-04 01:31:51 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Jeff Raber 2010-11-08 09:14:39 UTC

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

*** This bug has been marked as a duplicate of bug 590834 ***


Note You need to log in before you can comment on or make changes to this bug.